10个有用的Linux命令面试问题及答案
==================================================================================================================================================
Linux命令行，以及用户使用Linux命令进行Linux shell交互，是Linux最吸引人的地方，也是面试中最普遍的话题之一。在这篇文章中，我们将提出10个面试中很重要问题，这肯定能拓宽你的知识面。

![Linux Command Questions](http://www.tecmint.com/wp-content/uploads/2014/07/Linux-Command-Questions.png) Linux Command Questions

### 1. 如何暂停一个正在运行的进程，让其在后台运行？ ###

**答案**：为了停止正在运行的进程，让其在后台运行，我们可以使用组合键 Ctrl+Z。

### 2. 什么是安装Linux所需的最小分区数量，以及如何查看系统启动信息？ ###

**答案**：单独一个/root分区足以执行所有的系统任务，但是强烈建议安装Linux时，需要至少三个分区：/root,/boot,/swap。一个IDE硬盘驱动器支持高达63个分区，SCSI硬盘驱动器支持超过15个分区。

为了检查启动信息，我们可以使用cat或者dmesg命令，如下所示：

	#cat /var/log/messages

OR

	#dmesg

### 3. 在你的Linux机器上跟踪系统事件的守护进程名是什么？###

**答案**：'syslogd'，它负责跟踪系统信息，并将跟踪日志存储在特定的日志文件里。

### 4. 在/root分区运行'fsck'命令的最低要求是什么？###

**答案**：/root分区必须挂载为只读模式，而不是读写模式

### 5. 如何分层复制/home目录到另一个目录？###

**答案**：Linux的'cpio'命令起到了效果。'cpio'可以分层地复制文件和目录层次结构到另一个位置。

### 6. 在Linux中，怎样实现日志文件的自动替换？###

**答案**：'logrotate'提供日志自动替换功能。

### 7. 怎样知道Linux中是谁在安排工作？###

**答案**：使用'at'命令加上'-l'选项，就可以查出。

### 8. 如何在不解压tar包的前提下，查看包里的内容？ ###

**答案**：使用'tar -tvf'。选项‘t’(显示内容)，‘v’（详细报告tar处理的文件信息），‘f’（使用档案文件或者设备）

### 9. 什么是页面错误，它是怎么发生的？###

**答案**：当一个程序请求内存中不存在的数据时，就会产生页面错误，导致的结果就是程序停止。

### 10. 什么是在程序中返回代码？###

**答案**：返回代码是shell的特性。返回代码显示了程序的状态，一个成功的程序执行后返回‘0’，&&可以用来决定那个应用程序先执行。

好了，文章要结束了。不久以后，我还会在这分享其余有趣文章的，记得和我们保持联系。还有，别忘了在评论栏里面向我们提供您的宝贵意见。

-----------------------------------------------------------------------------------------------------------------

via: http://www.tecmint.com/10-useful-interview-questions-and-answers-on-linux-commands/

原文作者：[Avishek Kumar][a]
 
译者：[su-kaiyao](https://github.com/su-kaiyao) 校对：[Caroline](https://github.com/carolinewuyan)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出
 
[a]:http://www.tecmint.com/author/avishek/ 

