什么时候Linux才能完美？
================================================================================
前几天我的同事兼损友，Ken Starks，在FOSS Force上发表了[一篇文章][1]，关于他最喜欢发牢骚的内容：Linux系统中那些不能正常工作的事情。这次他抱怨的是在Mint里使用KDE时碰到的字体问题。这对于Ken来说也不是什么新鲜事了。过去他写了一些文章，关于各种Linux发行版中的缺陷从来都没有被认真修复过。他的观点是，这些在一次又一次的发布中从没有被修复过的“小问题”，对于Linux桌面系统在赢得大众方面的失败需要负主要责任。

### 他也许是对的 ###

圣诞节的时候，我给室友买了一个运行Android系统的二代Nexus 7平板，Android是一个建立在Linux内核基础上的操作系统。它拿起来就“能用”，不需要任何的调整。在过去的7个月里，她每天都要使用好几个小时。据我所了解的，她没发现任何需要修复的小问题。我敢肯定如果她碰到问题我会第一个知道，因为之前送给她Nexus的原因就是，我已经不想再继续维护她的Windows笔记本去满足她的需求了。她的电脑出问题后总是能找到我，而且总是希望我第一时间解决。Facebook不会等任何人，你懂的。

我说这个的原因是，Linux已经在计算机领域的手机和平板方面占据了首要位置。Apple确实通过iPhone和iPad赚了很多钱，但那是因为他们定的高价。而在市场占有率上，它远远比不上Android设备。而Microsoft也说明了Windows不再是过去那个无敌巨人。尽管花了大量的钱在电视广告和几乎CBS所有的连续剧中的显眼位置，Windows移动设备在市场占有率上看仍然仅仅只是个星号。

换句话说，Linux打赢了这场移动领域的战争。因为Google保证了Android拿起来就“能用”。

如今一般的计算机用户（我不喜欢“消费者”这个词）希望用他们的计算机来完成工作，而不是深入到里面去解决问题。这是可以理解的，就像一般拥有汽车的人，只是希望驾驶他们的汽车而不会想了解汽车的工作原理。就像大多数司机把他们的汽车送到修理店里去解决机械或电子问题，大多数的计算机用户也会把他们的设备送去返修而不操心是硬件问题或软件问题。他们只是希望这玩意儿能用。

### 也不全是这样子的 ###

早在2002年的时候，我第一次安装使用GNU/Linux，像大多数美国人那样，我搞不定拨号连接，在我呆的这个小地方当时宽带还没普及。我在当地Best Buy商店里花了差不多70美元买了用热缩膜包装的Mandrake 9.0的Powerpack版，当时那里同时在卖Mandrake和Red Hat，现在仍然还在经营桌面PC业务。

在那个恐龙时代，Mandrake被认为是易用的Linux发行版中做的最好的。它安装简单，还有人说比Windows还简单，它自带的分区工具更是让划分磁盘像切苹果馅饼一样简单。不过实际上，Linux老手们经常公开嘲笑Mandrake，暗示易用的Linux不是真的Linux。

但是我很喜欢它，感觉来到了一个全新的世界。再也不用担心Windows的蓝屏死机和几乎每天一死了。不幸的是，之前在Windows下“能用”的很多外围设备也随之而去。

安装完Mandrake之后我要做的第一件事就是，把我的小白盒拿给[Dragonware Computers][2]的Michelle，把便宜的winmodem换成硬件调制解调器。就算是一个硬件猫意味着计算机响应更快，但是计算机商店却在40英里外的地方，并不是很方便，而且费用对我也有点压力。

但是我不介意。我对Microsoft并不感冒－－而且使用一个“不同”的操作系统让我感觉自己就像一个计算机天才。

打印机也是个麻烦，但是这个问题对于Mandrake还好，不像其他大多数发行版还需要命令行里的操作才能解决。Mandrake提供了一个华丽的图形界面来设置打印机－如果你正好幸运的有一台能在Linux下工作的打印机的话。很多打印机——就算不是大多数——都不行。

我的还在保修期的Lexmark，在Windows下比其他打印机多出很多华而不实的小功能，厂商并不支持Linux版本，但是我找到一个多少能用的开源逆向工程驱动。它能在Mozilla浏览器里正常打印网页，但是在Star Office软件里打印的话会是用很小的字体塞到页面的右上角里。打印机还会发出很大的机械响声，让我想起了汽车变速箱在报废时发出的噪音。

Star Office问题的变通方案是把所有文字都保存到文本文件，然后在文本编辑器里打印。而对于那个听上去像是打印机处于天魔解体模式的噪音？我的方法是尽量不要打印。

### 更多的其他问题－对我来说太多了都快忘了 ###

我肯定记得的一个问题是，声卡工作不太正常，尽管Mandrake的界面上显示检测到并安装了声卡。泡了一段时间论坛也没什么收获，最终有人建议可能是权限问题。我看了一下，我靠！被他说中了。Mandrake默认的声卡权限不允许用户级别账号的访问，这也是在发行版发布之前应该要修改掉的问题，就像Ken所说的。特别是在这种用热缩膜包装好的售价70美金的发行版－这在2002年可比现在值钱多了。

好吧，我还有个并口扫描仪，在我转移到Linux之前两个星期买的，之后它就基本是块砖了，因为没有Linux下的驱动。

我的观点是在那个年代里这些都不重要。我们大多数人都习惯了修改配置文件之类的事情，即便是运行微软产品的“IBM兼容”计算机。就像那个年代的大多数用户，我刚学开始接触使用命令行的DOS机器，在它上面打印机需要针对每个程序单独设置，而且写写简单的autoexec.bat是必备的技能。

<center>![Linux as a 1966 “goat.”](http://fossforce.com/wp-content/uploads/2014/08/Pontiac_GTO_1966-300x224.jpg)</center>

<center>Linux就像1966年的“山羊”</center>

那时，能够摆弄操作系统内部的配置是能够拥有一台计算机的一个简单部分。我们大多数使用计算机的人要么是极客或是希望成为极客。我们为这种能够调整计算机按我们想要的方式运行的能力而感到骄傲。我们就是那个年代里高科技版本的好男孩，他们会在周六下午在树荫下改装他们肌肉车上的排气管，通风管，化油器之类的。

### 不过现在大家不是这样使用计算机的 ###

现在的计算机用户只是希望它能干活，不会有什么问题。而不想知道为什么Hulu或Netflix会不工作，或者为什么有些程序里字体显示正常而有的却没有。在安装完Linux后，他们不再希望听到“噢，这只是个很容易修改的小问题”，就像是开着新买的Chevy在车流中打不上火歇菜了时，不想听到“这只是个小问题我们会改的”。

现在，也包括我。尽管我很高兴还有足够的能力去修改从Mint或Fedora开发者漏过来的小问题，也不愿去处理。我有自己的事情。而且在我不用工作的时候，宁愿把时间浪费在Facebook上和朋友闲扯，也不想被自己的计算机搞得恼火。

当然，Linux随着时间已经改变很多了。近几年，可以完全肯定在笔记本电脑上安装一个主流Linux发行版的时候，Wi-Fi肯定能用。而且，大多数时候你只需要把打印机插入USB端口中就好了，它就已经准备好并工作了。但是，仍然有许多小细节需要处理－一些很久很久之前就应该处理的东西。

也许Ken还得继续抱怨下去...

--------------------------------------------------------------------------------

via: http://fossforce.com/2014/08/when-linux-was-perfect-enough/

作者：Christine Hall
译者：[zpl1025](https://github.com/zpl1025)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://fossforce.com/2014/07/ripe-linux-nits-to-pick/
[2]:http://www.dragonware.com/
