KDE Plasma 5.3 Released, Here’s How To Upgrade in Kubuntu 15.04
================================================================================
**KDE [has announced][1] the stable release of Plasma 5.3, which comes charged with a slate of new power management features. **

Having impressed and excited [with an earlier beta release in April][2], the latest update to the new stable update to the Plasma 5 desktop environments is now considered stable and ready for download.

Plasma 5.3 continues to refine and finesse the new-look KDE desktop. It sees plenty of feature additions for desktop users to enjoy and **almost 400 bug fixes** packed in it should also improvements the performance and overall stability, too.

### What’s New in Plasma 5.3 ###

![Better Bluetooth Management in Plasma 5.3](http://www.omgubuntu.co.uk/wp-content/uploads/2015/04/bluetooth-applet-in-kde.jpg)
Better Bluetooth Management in Plasma 5.3

While we touched on the majority of the **new features** [in Plasma 5.3 in an earlier article][3] many are worth reiterating.

**Enhanced power management** features and configuration options, including a **new battery applet, energy usage monitor** and **animated changes in screen brightness**, will help KDE last longer on portable devices.

Closing a laptop when an external monitor is connected no longer triggers ‘suspend’. This new behaviour is called ‘**cinema mode**‘ and comes enabled by default, but can be disabled using an option in power management settings.

**Bluetooth functionality is improved**, with a brand new panel applet making connecting and configuring paired bluetooth devices like smartphones, keyboards and speakers easier than ever.

Similarly, **trackpad configuration in KDE is easier** with Plasma 5.3 thanks to a new set-up and settings module.

![Trackpad, Touchpad. Tomato, Tomayto.](http://www.omgubuntu.co.uk/wp-content/uploads/2015/04/touchpad-kde.jpg)
Trackpad, Touchpad. Tomato, Tomayto.

For Plasma widget fans there is a new **Press and Hold** gesture. When enabled this hides the settings handle that appears when on mouseover. Instead making it only appear when long-clicking on widget.

On the topic of widget-y things, several **old Plasmoid favourites are reintroduced** with this release, including a useful system monitor, handy hard-drive stats and a comic reader.

### Learning More & Trying It Out ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2015/04/plasma-5.3-beta.jpg\)

A full list of everything — and I mean everything — that is new and improved in Plasma 5.3 is listed [in the official change log][4]. 

Live images that let you try Plasma 5.3 on a Kubuntu base **without affecting your own system** are available from the KDE community:

- [Download KDE Plasma Live Images][5]

If you need super stable system you can use these live images to try the features but stick with the version of KDE that comes with your distribution on your main computer.

However, if you’re happy to experiment — read: can handle any package conflicts or system issues resulting from attempting to upgrade your desktop environment — you can.

### Install Plasma 5.3 in Kubuntu 15.04 ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2012/02/logo-kubuntu.png)

To **install Plasma 5.3 in Kubuntu 15.04** you need to add the KDE Backports PPA, run the Software Updater tool and install any available updates.

The Kubuntu backports PPA may/will also upgrade other parts of the KDE Platform other than Plasma that are installed on your system including KDE applications, frameworks and Kubuntu specific configuration files.

Using the command line is by far the fastest way to upgrade to Plasma 5.3 in Kubuntu:

    sudo add-apt-repository ppa:kubuntu-ppa/backports
    
    sudo apt-get update && sudo apt-get dist-upgrade

After the upgrade process has completed, and assuming everything went well, you should reboot your computer.

If you’re using an alternative desktop environment, like LXDE, Unity or GNOME, you will need to install the Kubuntu desktop package (you’ll find it in the Ubuntu Software Centre) after running both of the commands above.

To downgrade to the stock version of Plasma in 15.04 you can use the PPA-Purge tool:

    sudo apt-get install ppa-purge
    
    sudo ppa-purge ppa:kubuntu-ppa/backports

Let us know how your upgrade/testing goes in the comments below and don’t forget to mention the features you hope to see added to the Plasma 5 desktop next.

--------------------------------------------------------------------------------

via: http://www.omgubuntu.co.uk/2015/04/kde-plasma-5-3-released-heres-how-to-upgrade-in-kubuntu-15-04

作者：[Joey-Elijah Sneddon][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:https://plus.google.com/117485690627814051450/?rel=author
[1]:https://www.kde.org/announcements/plasma-5.3.0.php
[2]:http://www.omgubuntu.co.uk/2015/04/beta-plasma-5-3-features
[3]:http://www.omgubuntu.co.uk/2015/04/beta-plasma-5-3-features
[4]:https://www.kde.org/announcements/plasma-5.2.2-5.3.0-changelog.php
[5]:https://community.kde.org/Plasma/Live_Images