六种在 Linux 上带来 iTunes 体验的方法
Top 6 Ways To Get Your iTunes Experience On Linux
================================================================================
![](http://cdn.makeuseof.com/wp-content/uploads/2015/04/itunes-linux-840x420.jpg?35dc20)

随着你对 Linux 的熟悉（也许会成为你首要使用的操作系统），你最终会寻找能在Linux上有效管理音乐的工具。你首先想到了 iTunes，因为它是近几年最流行的音乐管理工具，但你马上会发现iTunes并没有Linux版本。而且，你会发现还有比 iTunes 更好的音乐管理工具。
As you’re getting used to Linux (potentially as your new main operating system), you’ll eventually try to find a way to efficiently manage your music. iTunes comes to mind because it’s been the most popular way to manage music over the years, but you’ll quickly find out that iTunes isn’t available natively on Linux. Plus, better ways exist to manage your music now that it’s 2015.

尽管如此，这并不意味着你就不能使用你喜欢的方式管理音乐。Linux 上有很多方式可以让你整理你的音乐库。以下六种，仅供参考：
However, that doesn’t automatically mean that you won’t be able to manage your music the way you want to. There’s plenty of other ways to keep tabs on your music library. Here’s six great ways to get it done.

### 在WINE上运行iTunes ###
### iTunes via WINE ###

尽管 iTunes 没有Linux版，你还是可以试试 [使用 WINE 运行 iTunes ][1] 或 PlayOnLinux 的。这些软件给本来只能运行于Windows下的应用程序添加了一个兼容层，这样就能让他们运行在Linux上了，但这样的方法效果十有分限。因此 [并非所有 Ｗindows 应用程序都能使用WINE运行][2] - 但这还是一个值得尝试的方法。
Even if iTunes isn’t available in Linux as a native application, you can still try to [get it to work under WINE][1] or PlayOnLinux. These pieces of software try to add a compatibility layer so that Windows applications work on Linux, but the results are far from perfect. Therefore, [not all Windows applications will run with WINE][2] — but it’s still worth a try.

各个版本的iTunes结果可能给你不同的结果，但一般都遵循以下方法：
1. 安装WINE
1. 在WINE里运行iTunes安装程序
1. 在网上搜索并解决你遇到的问题。

如果你在安装时遇到无法解决的问题，比如安装程序错误，或者安装好的程序运行不了，那是没办法的，WINE 就是这样

如果你想在 WINE 上运行 iTunes 但恰好运行不了的话，没问题。但如果你还想考虑运行一个原生的Linux的话，还有很多其他选择的。这些音乐管理软件狗能让你很方便的管理你的音乐并直接进行播放，还可以制作播放列表。

Each version of iTunes can give you different results, but the general process is as follows:

1. Install WINE
1. Run the iTunes installer via WINE
1. Google and try to solve any problems you come across.

Again, you might come across issues somewhere along the way which cannot be solved, such as the installer failing or the installed application refusing to run. That’s just how it is with WINE.

If you really want to use iTunes and you happen to luck out with WINE, then that’s great. However, if you’d rather use a native Linux application or WINE didn’t work for you, then there are options here as well. Several “music library manager” programs are available to give you a quick oversight of your music and play it directly in the application, as well as make playlists.

### [Amarok][3] ###

![](http://cdn.makeuseof.com/wp-content/uploads/2015/03/amarok_main.jpg?35dc20)

如果你使用KDE环境，我推荐 Amarok。它具有 [很多管理音乐的特性][4] 而且他还能与KDE桌面环境无缝兼容。它很有很多实用的特性如无缝兼容 Last.FM，文件跟踪，动态播放列表及个吃支持。它甚至会自动在你播放曲目时，自动下载艺术家封面。

If you use KDE, then I’d recommend Amarok. It has [plenty of features to manage your music][4] and tight desktop integration with KDE. It also has useful features such as Last.FM integration, file tracking, dynamic playlists, and script support. It can even pull up biographies of artists as you play their songs.

### [Banshee][5] ###

![](http://cdn.makeuseof.com/wp-content/uploads/2015/03/banshee_main.jpg?35dc20)

如果你使用 GNOME 或其他任何基于 GTK 的桌面环境（他们十分常见）的话，我推荐使用使用Bansee作为 [全功能音乐库管理工具][6] 。它的功能与Amarok类似，也与Last.FM无缝兼容，支持网络广播，支持podcast，还有很多其他功能。选择 Amarok 还是 Bansee 要看你使用的桌面环境（这样才能无缝整合）。 

If you use GNOME or any GTK-based desktop environment (they’re quite common), then I’d recommend Banshee as a [full-featured music library][6] manager. It has a very similar feature set as Amarok, including Last.FM integration, Internet radio support, podcast support, and much more. Amarok and Banshee are really among the top two choices, so which one you choose should depend on which desktop environment you’re using (for integration’s sake).

### [Rhythmbox][7] ###

![](http://cdn.makeuseof.com/wp-content/uploads/2015/03/rhythmbox_main.jpg?35dc20)

Rhythmbox是一个 基于GTK的桌环境下更 [轻量级的音乐库替代品][8]。尽管如此，它也还是有一些特性的。它也支持Last.FM，同时还能无缝播放并与其他如 Nautilus, XChat,及Pidgin 等进行整合。
Rhythmbox as a more [lightweight music library alternative][8] that is best used on GTK-based desktop environments. However, it still has quite a few features. You also get Last.FM support here, plus gapless playback and integration with various other applications such as Nautilus, XChat, and Pidgin.

### [Clementine][9] ###

![](http://cdn.makeuseof.com/wp-content/uploads/2015/03/clementine_main.jpg?35dc20)

另一款叫 Clementine 的软件也值得我推荐，因为它的见面简洁、易用。它支持非常多的第三方服务例如Spotify，Digtal Imported 及Dropbox。Android系统上还有一款用作 Clementine 遥控的app。[Clementine是一个跨平台的][10] ， 还支持Mac OS X 及 Windows。
Another application called Clementine also gets my recommendation with its clean and intuitive interface. It has tons of support for third-party services such as Spotify, Digitally Imported, and Dropbox. There’s also an Android app you can use as a remote control for Clementine. [Clementine is cross-platform][10] and available for Windows and Mac OS X.

这些程序都能很好的管理并播放你的音乐。唯一的问题是这些程序都不支持与 iOS 设备的整合， 而且目前还没有程序能做到这一点。但 iOS 经过很多改进后，已经足以不需要再连接到电脑了。
They all are excellent at managing and playing your music. The only downside to all of these is that there is no iOS device integration, and there’s currently no modern application that can do that. However, iOS has received enough improvements that it’s virtually unnecessary to connect it to a computer anymore.

### [Google Play Music][11] ###

![](http://cdn.makeuseof.com/wp-content/uploads/2015/03/google_music.jpg?35dc20)

最后，如果上面的那些程序还不能满足你的需求的花，你可以试试 Google Play Music。这个在线服务也可以用作能播放音乐的音乐库管理工具，但他还有几个额外的好处。你可以上传所有的音乐，并且在所有能上网的设备上获取这些音乐。这也意味着你不需要在电脑或者移动设备之间同步你的音乐（无论是 Android 还是 iOS 设备），因为你可以这些设备中使用Google Play Music。 如果你想要扩展你的去库，你可以订阅 All Access，但这并不是必须的。你不需要支付任何费用也可在你的曲库中储存20,000首
Lastly, if none of those applications satisfy your needs, you can take a look at Google Play Music. This online service acts as a music library manager that can play your music, but it also has some extra benefits. You can upload all your music to it and have access on any device connected to the Internet. That also means that you won’t have to sync your music between your computer and your mobile device (no matter if Android or iOS) because you have access to Google Play Music from both. If you want to expand your library you can get the All Access subscription, but it’s not a requirement. You can use it simply as a music library completely free for up to 20,000 songs.

#### 靠，居然没有 Spotify ?! ####
#### Wot, no Spotify?! ####

尽管 Spotify 也是一款管理和听音乐的方法，我不推荐它的唯一原因是它事实上并不让你管理你的音乐。你不能将曲目上传到 Spotify - 只能它们给你提供的曲目。尽管它们提供了很多，但原理都不尽相同。
The only reason why I don’t mention Spotify is that, although it’s also a great way to access and listen to music, it doesn’t really let you manage your own music. You can’t upload trakcs to Spotify — you have to listen to what they give you. Albeit they give you a lot, but it’s nonetheless a different mechanism.

### 你还有其他选择 ###
### You Have Options ### 

以上六个软件应该可以在给你带来类似 iTunes 的功能了。这些软件主要是能让你管理和播放你的音乐库，但如果你还需要 iTunes 里的其他特性，其他Linux原生软件或许能满足这类需求。

With these six options, you should be able to get iTunes-like functionality on your desktop. These options focused mainly on managing and playing your music library, but if there are any other features that you need from iTunes, other Linux-native applications can take care of those needs.

**你通常在Linux上使用哪些音乐？**在下方评论与我们分享吧！
**What music applications do you regularly use on Linux?** Let us know in the comments!


--------------------------------------------------------------------------------

via: http://www.makeuseof.com/tag/top-6-ways-get-itunes-experience-linux/

作者：[Danny Stieben][a]
译者：[KevinSJ](https://github.com/KevinSJ)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://www.makeuseof.com/tag/author/danny/
[1]:http://www.makeuseof.com/tag/how-about-some-wine-with-your-linux/
[2]:http://www.makeuseof.com/answers/does-wine-runs-all-windows-apps/
[3]:https://amarok.kde.org/
[4]:http://www.makeuseof.com/tag/control-music-amarok-linux/
[5]:http://banshee.fm/
[6]:http://www.makeuseof.com/tag/banshee-20-comprehensive-media-player-streamer-podcast-tool-linux/
[7]:https://wiki.gnome.org/Apps/Rhythmbox
[8]:http://www.makeuseof.com/tag/play-manage-music-collection-rhythmbox-linux/
[9]:https://www.clementine-player.org/
[10]:http://www.makeuseof.com/tag/need-a-lightweight-music-player-without-sacrificing-features-clementine-cross-platform/
[11]:http://music.google.com/
